Bug 9256 - gnome-pty-helper doesn't set utmp info correctly
gnome-pty-helper doesn't set utmp info correctly
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
: 9483 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-02-08 21:58 EST by Jeremy Katz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-11 15:40:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2000-02-08 21:58:45 EST
Okay, this could well be the wrong component... but it's as close as I can
figure out :)

The writes to utmp done by gnome-pty-helper when called by gnome-terminal
appear to be incorrect.  The login time seems to be set to the beginning of
the epoch rather than the current time.

Witness (additional indenting for clarity)

[root@testbox i386]# w
 10:05pm  up  1:49,  9 users,  load average: 1.13, 1.28, 1.23
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
katzj    pts/0    :0               31Dec69 20:04   0.34s  0.09s  screen
katzj    pts/1    :0               31Dec69  0.00s  1.16s   ?     -
katzj    pts/2    :0               31Dec69 52:52   4.62s  0.25s  vi w.c
katzj    pts/3    :0               31Dec69 48.00s 10.14s 10.01s  slogin
katzj    pts/4    -                 9:15pm 20:04   0.81s  0.14s  rpm -ba
katzj    pts/5    -                 9:15pm 21:00   0.09s  0.09s  /bin/bash
katzj    pts/6    -                 9:33pm 30:45   0.26s  0.21s  slogin
katzj    pts/7    :0               31Dec69  2:28   0.41s   ?     -

ptys 4, 5, and 6 are from screen while the others are from gnome-terminal.
Xterm works properly.  And since gnome-terminal never directly writes utmp
itself, but has gnome-pty-helper do it, it looks like gnome-pty-helper is
the culprit
Comment 1 Owen Taylor 2000-02-11 15:40:59 EST
This was a patch applied to fix a warning that messed up
the times utmp. Warning fixed properly in gnome-libs-1.0.55-8,
by fixing up configure problems.
Comment 2 Preston Brown 2000-02-17 10:49:59 EST
*** Bug 9483 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.